Get merchant ledger
curl --request GET \
--url https://api.skinshark.gg/merchant/ledger \
--header 'api-key: <api-key>'import requests
url = "https://api.skinshark.gg/merchant/ledger"
headers = {"api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'api-key': '<api-key>'}};
fetch('https://api.skinshark.gg/merchant/ledger', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"requestId": "<string>",
"success": true,
"data": {
"items": [
{
"id": "<string>",
"type": "<string>",
"description": "<string>",
"amount": 123,
"occurredAt": "2023-11-07T05:31:56Z",
"externalRef": "<string>"
}
],
"nextCursor": "<string>"
},
"error": {
"code": 1500,
"key": "INSUFFICIENT_BALANCE",
"message": "Insufficient balance"
}
}{
"requestId": "<string>",
"success": true,
"data": "<unknown>",
"error": {
"code": 1500,
"key": "INSUFFICIENT_BALANCE",
"message": "Insufficient balance"
}
}{
"requestId": "<string>",
"success": true,
"data": "<unknown>",
"error": {
"code": 1500,
"key": "INSUFFICIENT_BALANCE",
"message": "Insufficient balance"
}
}Account
Get merchant ledger
Auth context: merchant only. Postings against the merchant’s spot or earnings wallet.
GET
/
merchant
/
ledger
Get merchant ledger
Authorizations
Your raw API key. Generate, rotate, and revoke keys from the merchant
dashboard. Keys can optionally be bound to one or more allowed source
IPs — requests from any other IP are rejected with API_KEY_IP_DENIED.
Query Parameters
spot— funds available to spend or fund sub-users.earnings— merchant-only treasury wallet credited at trade settlement.
Available options:
spot, earnings Required range:
1 <= x <= 100⌘I